PaidGoods
API referenceFeedbacks

Reviews left by buyers

GET
/v1/stores/{storeId}/feedbacks

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

status?string
Default"all"

Value in

  • "pending"
  • "published"
  • "hidden"
  • "all"
disputeStatus?string

Value in

  • "none"
  • "open"
  • "withdrawn"
  • "upheld"
  • "dismissed"
automatic?string

Value in

  • "automatic"
  • "written"
rating?integer
Range1 <= value <= 5
customerId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 100
Default25

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/feedbacks"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "importedOrderId": "34dbaecc-509e-42c9-995c-55e9e90b6fd5",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "customerEmail": "string",      "rating": 1,      "bodyMd": "string",      "displayName": "string",      "automatic": true,      "attachments": [        {          "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",          "filename": "string",          "size": -9007199254740991        }      ],      "status": "pending",      "moderationReason": "spam",      "merchantReplyMd": "string",      "merchantRepliedAt": "string",      "disputeStatus": "none",      "disputeReason": "string",      "couponId": "15d6ce74-0176-4a4d-819b-7e460f30be6a",      "rewardedAt": "string",      "invoiceNumber": -9007199254740991,      "createdAt": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  }}